TCR Developer Portal
Breadcrumbs

Search for a Campaign

Retrieves a list of campaigns you’ve registered, and supports query parameters that can narrow the list based on different attributes. A full list of query parameters are available in the OpenAPI spec for this endpoint. If none are specified, the endpoint will return a list of all campaigns registered. Paginated results are supported.

If the resellerId property of a campaign is set to R000000, this indicates that there is no reseller associated with the campaign.

Request

GET /campaign

curl -X 'GET' \
  'https://csp-api-staging.campaignregistry.com/v2/campaign?brandId=B123ABC&page=1&recordsPerPage=10' \
  -H 'accept: application/json'

Response

{
  "records": [
    {
      "campaignId": "C123ABC",
      "cspId": "S123ABC",
      "resellerId": "R000000",
      "status": "ACTIVE",
      "createDate": "2025-06-11T01:07:39.000Z",
      "autoRenewal": true,
      "billedDate": "2025-06-11T00:00:00.000Z",
      "brandId": "B123ABC",
      "vertical": null,
      "usecase": "MARKETING",
      "subUsecases": [],
      "description": "Promotions, motivational messages, events, news, and membership information for a community gym.",
      "embeddedLink": true,
      "embeddedPhone": true,
      "termsAndConditions": true,
      "numberPool": false,
      "ageGated": false,
      "directLending": false,
      "subscriberOptin": true,
      "subscriberOptout": true,
      "subscriberHelp": true,
      "sample1": "Community Health Club: Thank you for registering with us at Community Health Club. We can't wait to meet you and get you started on your journey! Someone will give you a call soon to answer any questions you may have and get you scheduled to start your trial! Reply STOP to opt-out or HELP for help.",
      "sample2": "Community Health Club: Hey {first_name}, You’ve hit double digits with 10 classes at Community Health Club! Keep up the great work! Reply STOP to opt-out.",
      "sample3": "Hi {first_name}, thank you for being a part of Community Health Club! We would love to hear about your experience with us. Please reply with your rating, with '1' being a poor experience and '5' being an exceptional experience. Reply STOP to opt-out.",
      "sample4": null,
      "sample5": null,
      "messageFlow": "Members opt-in to SMS when they sign their agreement and leads submit their phone number online to receive more information on membership offers. Leads can sign up for a newsletter and contact the gym using this form - https://exampleforms.org",
      "helpMessage": "Community Health Club: You'll be receiving text alerts from us regarding your account, offers & more. You can contact us at (555) 555-5555. Standard data rates may apply.",
      "referenceId": null,
      "mock": false,
      "nextRenewalOrExpirationDate": "2025-09-11",
      "expirationDate": null,
      "optinKeywords": "YES,START",
      "optoutKeywords": "STOP",
      "helpKeywords": "HELP",
      "optinMessage": "Community Health Club: You've successfully opted in to our alerts. At any time, reply STOP to opt-out or HELP for help.",
      "optoutMessage": "Community Health Club: You've been successfully opted out of receiving text alerts. To re-opt in reply START.",
      "privacyPolicyLink": "https://communityclub.com/privacy-policy/",
      "termsAndConditionsLink": "https://communityclub.com/terms-conditions/",
      "embeddedLinkSample": ""
    }
  ],
  "page": 1,
  "totalRecords": 1
}